Vulnerability Detail
GET
https://api.deepinfo.com/v1/easm/vulnerabilities/{vulnerability_id}Returns one vulnerability with CVE details and affected assets.
Authentication
Send your API key in the apikey request header.
Path Parameters
| Parameter | Required | Description |
|---|---|---|
vulnerability_ | Required | Example 00000000000000000000000e0c9d0001 |
Response Fields
| Field | Type | Description |
|---|---|---|
id | string | |
cve | object | |
affected_ | object | |
affected_ | integer | |
affected_ | array of string | |
first_ | string | date-time |
last_ | string | date-time |
last_ | string | date-time |
state | string | One of active, inactive |
is_ | boolean | |
is_ | boolean | |
certainly_ | object | |
potentially_ | object |
Response Schema
| Field | Type | Example |
|---|---|---|
id | string | "00000000000000000000000e0c9d0001" |
cve | object | |
cve. | string | "CVE-2014-6271" |
cve. | string | "2014-09-24T18:48:04Z" |
cve. | string | "2026-06-17T00:12:48Z" |
cve. | object | |
cve. | array< | |
cve. | number | 78 |
cve. | string | "A03 Injection" |
cve. | string | "Improper Neutralization of Special…" |
cve. | string | "The product constructs all or part…" |
cve. | array< | 6 |
cve. | array< | "Availability" |
cve. | array< | "DoS: Crash, Exit, or Restart" |
cve. | array< | "Architecture or Design Review" |
cve. | object | |
cve. | number | 0.99999 |
cve. | number | 0.99993 |
cve. | string | "2026-09-23T00:00:00Z" |
cve. | object | |
cve. | string | "GNU" |
cve. | string | "Bourne-Again Shell (Bash)" |
cve. | string | "GNU Bourne-Again Shell (Bash) Arbit…" |
cve. | string | "2022-01-28T00:00:00Z" |
cve. | string | "GNU Bash through 4.3 processes trai…" |
cve. | string | "Apply updates per vendor instructio…" |
cve. | string | "2022-07-28T00:00:00Z" |
cve. | string | "Unknown" |
cve. | string | "https://nvd.nist.gov/vuln/detail/CV…" |
cve. | object | |
cve. | string | "3.1" |
cve. | object | |
cve. | string | "HIGH" |
cve. | string | "HIGH" |
cve. | string | "HIGH" |
cve. | number | 9.8 |
cve. | string | "critical" |
affected_asset_count | object | |
affected_asset_count. | number | 79 |
affected_asset_count. | number | 36 |
affected_asset_count. | number | 3 |
affected_asset_count. | number | 17 |
affected_asset_count. | number | 23 |
affected_ | number | 0 |
affected_asset_tags | array | |
first_seen_date | string | "2025-06-01T08:00:00Z" |
last_seen_date | string | "2025-07-31T08:00:00Z" |
last_check_date | string | "2025-07-31T08:00:00Z" |
state | string | "active" |
is_certain | boolean | true |
is_potential | boolean | false |
certainly_ | object | |
certainly_ | number | 54 |
certainly_ | number | 14 |
certainly_ | number | 25 |
certainly_ | number | 4 |
certainly_ | number | 11 |
potentially_ | object | |
potentially_ | number | 70 |
potentially_ | number | 26 |
potentially_ | number | 17 |
potentially_ | number | 21 |
potentially_ | number | 6 |
Examples
Selecting one loads it into the request and response panels.